From 74e36a9ec269a184d8601130ca8a925c4115fb90 Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Dec 13 2017 13:10:39 +0000
Subject: [PATCH 39/51] allow empty guidelines link


This links the guidelines document without an anchor.

---

diff --git a/src/_fedmod/modulemd_linter.py b/src/_fedmod/modulemd_linter.py
index 6a06243..0b64094 100644
--- a/src/_fedmod/modulemd_linter.py
+++ b/src/_fedmod/modulemd_linter.py
@@ -38,11 +38,11 @@ class guidelines_link(object):
 
     guidelines_base_url = "https://fedoraproject.org/wiki/Module:Guidelines"
 
-    def __init__(self, link):
+    def __init__(self, link=None):
         self.link = link
 
     def __call__(self, fn):
-        if "://" in self.link:
+        if not self.link or "://" in self.link:
             fn.lint_guidelines_url = self.link
         else:
             anchor = self.link

